# Enable Powerlevel10k instant prompt. Should stay close to the top of ~/.zshrc.
# Initialization code that may require console input (password prompts, [y/n]
# confirmations, etc.) must go above this block; everything else may go below.
if [[ -r "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ]]; then
  source "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh"
fi

# Instant prompt
# source "${XDG_CACHE_HOME:-~/.cache}/p10k-instant-prompt-${(%):-%n}.zsh"

# ZSH var
export ZSH=~/.oh-my-zsh

# Theme
ZSH_THEME="powerlevel10k/powerlevel10k"

export EDITOR="nvim"

export PNPM_HOME="/home/guus/.local/share/pnpm"
export PYTHON_HOME="/home/guus/.local/bin"
export PATH="$PNPM_HOME:$PYTHON_HOME:$PATH"

# Aliases
source ~/.aliases

# Plugins
plugins=(git colorize docker yarn debian vscode sudo alias-finder archlinux zsh-histdb zsh-autosuggestions wakeonlan)

# Oh-my-zsh
source $ZSH/oh-my-zsh.sh

# Fzf variables
if type rg &> /dev/null; then
  export FZF_DEFAULT_COMMAND='rg --files'
  export FZF_DEFAULT_OPTS='-m --height 50% --border'
fi

# Keybinds
bindkey "^z" undo
bindkey "^y" redo
bindkey "^H" backward-kill-word
bindkey "^ " autosuggest-accept

# Powerlevel10k
source ~/.p10k.zsh
